AD1             EQU $EE
AD2             EQU $F0
POM             EQU $ED
POM1            EQU $EC
POM2            EQU $EB
POM3            EQU $EA
POM4            EQU $E9
POM5            EQU $E8
VSCROLL			EQU $E7
BRX             EQU $E6
BRY             EQU $E5


COLPF0          equ $D016
COLPF1          equ $D017
COLPF2          equ $D018
COLPF3          equ $D019
COLBK           equ $D01A

CHBASE          equ $D409
 
PORTB           equ $D301

NMIEN           equ $D40E
NMIST           equ $D40F
NMIRES          equ $D40F
VCOUNT          equ $D40B
WSYNC           equ $D40A
DLISTL          equ $D402
DLISTH          equ $D403
HSCROL          equ $D404

PMBASE          equ $D407   ;STARTING ADRESS PLAYER MISSILE GRAPHICS

HPOSP0          EQU $D000   ;HORIZONTAL POSITION P0
HPOSP1          EQU $D001   ;HORIZONTAL POSITION P1
HPOSP2          EQU $D002   ;HORIZONTAL POSITION P2
HPOSP3          EQU $D003   ;HORIZONTAL POSITION P3
HPOSM0          EQU $D004   ;HORIZONTAL POSITION M0
HPOSM1          EQU $D005   ;HORIZONTAL POSITION M1
HPOSM2          EQU $D006   ;HORIZONTAL POSITION M2
HPOSM3          EQU $D007   ;HORIZONTAL POSITION M3

SIZEP0          EQU $D008   ;SIZE P0
SIZEP1          EQU $D009   ;SIZE P0
SIZEP2          EQU $D00A   ;SIZE P0
SIZEP3          EQU $D00B   ;SIZE P0
SIZEM           EQU $D00C   ;SIZE M

GRAFP0          EQU $D00D
GRAFP1          EQU $D00E
GRAFP2          EQU $D00F
GRAFP3          EQU $D010
GRAFM           EQU $D011

COLPM0          EQU $D012   ;COLOR P0/M0
COLPM1          EQU $D013   ;COLOR P1/M1
COLPM2          EQU $D014   ;COLOR P2/M2
COLPM3          EQU $D015   ;COLOR P3/M3

IRQEN           equ $D20E
IRQST           equ $D20E

RANDOM          equ $D20A

NMI             equ $FFFA
RESET           equ $FFFC
IRQ             equ $FFFE

DMACTL          equ $D400
CHACTL          equ $D401
GRACTL          equ $D01D
GPRIOR          equ $D01B

DLISTSTART      equ $9C00

PMMEMBASE       equ $c800
SCREEN0         equ $4000
SCREEN1         equ $5000
SCREEN2         equ $6000

SCREENA         equ $4100
SCREENB         equ $5000

color_Rust          equ 7+16
color_White         equ 0+14
color_Grey			equ 0+10
color_Black         equ 0
color_Red_orange    equ 7+32
color_Dark_orange   equ 7+48
color_Yellow        equ 218
color_Red           equ 7+64
color_Dark_lavender equ 7+80
color_Cobalt_blue   equ 7+96
color_Darker_blue   equ 134
color_Ultramarine   equ 7+112
color_Cyan          equ 154
color_Dark_blue     equ 7+144
color_Medium_blue   equ 7+128
color_Blue_grey     equ 7+160
color_Olive_green   equ 7+176
color_Medium_green  equ 7+192
color_Dark_green    equ 7+208
color_Orange_green  equ 7+224
color_Orange        equ 7+240
color_Black_pale    equ 2
color_Pale_brown    equ 228
color_Blue2         equ 128+8
color_Brown_light   equ 16+12

COLOR1              equ (16*3) + 2
COLOR2              equ (16*7) + 2
COLOR3              equ (16*13) + 2

LMS                 equ 64
HS                  equ 16
MODE4               equ 4
MODED               equ $0D
MODEE               equ $0E
BLANK8              equ 112
DLI                 equ 128
DLIJUMP				equ 1
DLIJUMPEND          equ 65
