/*
** Hello world program using cc65.
*/

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <conio.h>
#include <unistd.h>


void LoadBitmap(char *filename) 
{
	FILE* fp;
	
	// Open Map File
	fp = fopen(filename, "rb");	
    
    if (fp>0) {
        printf("Loading...\n");
        fread((char*)(0x4100), 1, 0x1E00, fp);
        fclose(fp);
    } else {
        printf("File not found...\n");
    }
}

/*****************************************************************************/

int main (void)
{
    LoadBitmap("image.dat");
    printf("Ready to start MGM\n");
    cgetc (); 
    
    // Start MGM
    __asm__("jsr $8000"); 
    cgetc (); 
        
    // Black out the screen
    memset((char*)0x4100, 0, 0x1E00);
    cgetc (); 
        
    // Done
    return EXIT_SUCCESS;
}
